<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui">
<h:head>
</h:head>
<h:body>

	<h:form id="frmUniversity" enctype="multipart/form-data">
		<p:autoUpdate />
		<p:panelGrid columns="2" style="margin:auto;" styleClass="shaddow">
			<f:facet name="header">University Form</f:facet>


			<p:outputLabel value="Name" for="name" />
			<p:inputText type="text" value="#{mbUniversity.model.name}" id="name"
				placeholder="Name" disabled="#{mbCode1.allowEdit}" />

			<p:outputLabel value="Location" for="location" />
			<p:inputText type="text" value="#{mbUniversity.model.location}"
				id="location" placeholder="Location" disabled="#{mbCode1.allowEdit}" />
			<f:facet name="footer">
				<div align="center">
					<p:commandButton value="Add" action="#{mbUniversity.add}"
						rendered="#{mbUniversity.allowAdd}" process="@form" />
					<p:commandButton value="Edit" action="#{mbUniversity.edit}"
						rendered="#{mbUniversity.allowEdit}" process="@this" />
					<ui:remove>
						<p:commandButton value="Duplicate"
							action="#{mbGenerator.duplicate()}"
							rendered="#{mbGenerator.allowEdit}" process="@this" />
					</ui:remove>
					<p:commandButton value="Save" action="#{mbUniversity.save}"
						rendered="#{mbUniversity.allowSave}" process="@form" />
					<p:commandButton value="Delete" action="#{mbUniversity.delete}"
						rendered="#{mbUniversity.allowDelete}" process="@this" />
					<p:commandButton value="Reset" action="#{mbUniversity.reset}"
						rendered="#{mbUniversity.allowReset}" process="@this" />
					<p:commandButton value="Fill" action="#{mbUniversity.fill}"
						rendered="#{mbUniversity.allowFill}" process="@this" />
					<p:commandButton value="Cancel Edit"
						action="#{mbUniversity.cancelEdit()}"
						rendered="#{mbUniversity.editMode}" process="@this" />
				</div>
			</f:facet>

		</p:panelGrid>
	</h:form>
	<hr />
	<h:form>
		<p:dataTable value="#{mbUniversity.modelList}" var="model"
			rowKey="#{model.id}" paginator="true" paginatorAlwaysVisible="false"
			paginatorPosition="bottom" selectionMode="single"
			filteredValue="#{mbUniversity.filterList}"
			selection="#{mbUniversity.model}" emptyMessage="" rowIndexVar="row"
			styleClass="shaddow">
			<p:ajax event="rowSelect" />
			<p:autoUpdate />
			<f:facet name="header">University Data Table</f:facet>
			<p:column headerText="#">#{row+1}</p:column>
			<p:column headerText="name" sortBy="#{model.name}"
				filterBy="#{model.name}" filterMatchMode="contains">
				<h:outputText value="#{model.name==null?'-':model.name}">
				</h:outputText>
			</p:column>
			<p:column headerText="location" sortBy="#{model.location}"
				filterBy="#{model.location}" filterMatchMode="contains">
				<h:outputText value="#{model.location==null?'-':model.location}">
				</h:outputText>
			</p:column>
		</p:dataTable>
	</h:form>
	
</h:body>
</html>